/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.db.rmi;

import java.rmi.RemoteException;

import de.willuhn.datasource.rmi.DBService;
import de.willuhn.util.ApplicationException;

/**
 * Unser Datenbank-Service
 * 
 * @author Frank Mnster
 * @version 1.0
 *
 */
public interface OrVerwDBService extends DBService {

    /**
     * &Uuml;berpr&uuml;ft die Konsistenz der Datenbank und f&uuml;hrt bei
     * Bedarf Updates durch.
     * 
     * @throws RemoteException
     *             Wenn es beim der &Uuml;berpr&uuml;fung zu einem Fehler kam.
     * @throws ApplicationException
     *             Wenn die Datenbank-Konsistenz nicht gew%auml;hrleistet ist.
     */
    void checkConsistency() throws RemoteException, ApplicationException;

    /**
     * Initialisiert/erzeugt die Datenbank.
     * 
     * @throws RemoteException
     *             Wenn beim Initialisieren ein Fehler auftrat.
     */
    void install() throws RemoteException;

}
