/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.gui.action;

import de.frankmuenster.jameica.orverw.gui.dialog.NeuerOrdnerDialog;
import de.frankmuenster.jameica.orverw.gui.views.OrdnerBearbeitenView;
import de.frankmuenster.jameica.orverw.parts.labelpart.LabelSizeEnum;
import de.frankmuenster.jameica.orverw.util.I18N;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.system.OperationCanceledException;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * Action to crate a new folder
 *
 * @author Frank Mnster
 */
public class OrdnerNewAction implements Action {

    /**
     * Standart-Konstruktor
     */
    public OrdnerNewAction() {
	// Absichtlich leer gelassen
    }

    /**
     * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException {
	handleAdd();
    }

    /**
     * @throws ApplicationException
     *
     */
    private void handleAdd() throws ApplicationException {

	final NeuerOrdnerDialog dialog = new NeuerOrdnerDialog();
	LabelSizeEnum size;

	try {
	    size = dialog.open();
	    if (size != null) {
		GUI.startView(OrdnerBearbeitenView.class, size);
	    }
	} catch (final OperationCanceledException oce) {
	    Logger.info(I18N.tr("OrdnerNewAction.actionCancelled")); //$NON-NLS-1$
	} catch (final Exception e) { // NOPMD
	    throw new ApplicationException(I18N.tr("OrdnerNewAction.errorOpeningDialog"), e); //$NON-NLS-1$
	}
    }
}
