/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.parts.labelpart;

/**
 * Die Aufz&auml;hlung ent h&auml;hlt alle Bereiches des Label. Sie wird
 * verwendet um die Einstell-Button einem Bereich zu zuordnen, damit der
 * Kontroller sp&auml;ter wei&szlig;, was er wo tun muss.
 *
 * @author Frank Mnster
 * @since 1.0
 */
public enum LabelPartSectionsEnum {

    /**
     * Section on the top of the first bar
     */
    TOP("Top", 15), //$NON-NLS-1$
    /**
     * The bars
     */
    BAR("Linie", 10), //$NON-NLS-1$
    /**
     * Der Titeltextbereich
     */
    TITLE("Titel", 20), //$NON-NLS-1$
    /**
     * Der Hauptbereich
     */
    CONTENT("Inhalt", 80), //$NON-NLS-1$
    /**
     * Der Fu&szlig;bereich
     */
    FOOTER("Fubbereich", 15), //$NON-NLS-1$
    /**
     * General buttons, height 0 as it takes the whole window size
     */
    GENERAL_BUTTONS("Allgemeine Einstellungen", 0); //$NON-NLS-1$

    /**
     * The name of the section
     */
    private String name;

    /**
     * The height of the section in millimetre
     */
    private int height;

    /**
     * Creates the enum with name and height
     */
    LabelPartSectionsEnum(final String name, final int height) {

        this.name = name;
        this.height = height;
    }

    /**
     * Returns the height of the Enum
     * 
     * @return the height of the Enum
     */
    public int getHeight() {
        return this.height;
    }

    /**
     * Return the name of the Enum
     * 
     * @return the name of the Enum
     */
    public String getName() {
        return this.name;
    }
}
